Subject: Re: [PATCH 4/9] net/sctp: Eliminate useless code

From: David Miller <[email-masked]>
Date: Thu, 21 Jan 2010 02:43:37 -0800 (PST)

From: Julia Lawall <[email-masked]>
Date: Thu, 21 Jan 2010 11:22:38 +0100 (CET)

> On Wed, 20 Jan 2010, David Miller wrote:
> 
>> From: Vlad Yasevich <[email-masked]>
>> Date: Wed, 20 Jan 2010 13:10:10 -0500
>> 
>> > 
>> > 
>> > Julia Lawall wrote:
>> >> From: Julia Lawall <[email-masked]>
>> >> 
>> >> The variable newinet is initialized twice to the same (side effect-free)
>> >> expression.  Drop one initialization.
>> >> 
>> >> A simplified version of the semantic match that finds this problem is:
>> >> (http://coccinelle.lip6.fr/)
>> >> 
>> >> // <smpl>
>> >> @forall@
>> >> idexpression *x;
>> >> identifier f!=ERR_PTR;
>> >> @@
>> >> 
>> >> x = f(...)
>> >> ... when != x
>> >> (
>> >> x = f(...,<+...x...+>,...)
>> >> |
>> >> * x = f(...)
>> >> )
>> >> // </smpl>
>> >> 
>> >> Signed-off-by: Julia Lawall <[email-masked]>
>> > 
>> > Acked-by: Vlad Yasevich <[email-masked]>
>> 
>> Julia,  just like patch #3 this one had the missing final
>> line of the patch corrupting it, so you'll need to resubmit.
> 
> I have generated and sent it again, but this time I don't see the problem.  
> If there is still a problem, perhaps you could send me back the patch you 
> received?

You dropped Vlad' ACK in your re-submission.

I'll fix it up this time, but please accumulate ACK's when
resubmitting patches merely for the purpose of fixing some
technical submission problem.

Thanks.